Bug 260025

Summary: www/py-aiohttp: Fix build with Python 3.11
Product: Ports & Packages Reporter: Dmitry Marakasov <amdmi3>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Some People CC: amdmi3, koobs, python
Priority: --- Keywords: easy
Version: LatestFlags: koobs: maintainer-feedback+
koobs: maintainer-feedback+
koobs: merge-quarterly?
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch koobs: maintainer-approval+

Description Dmitry Marakasov freebsd_committer 2021-11-24 17:05:05 UTC
Created attachment 229704 [details]
Patch

Forcibly run cython on all *.pyx files, as just touching them is not enough, and package lacks facilities to cythonize automatically.

Note also that version 3.8.1 is available.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-25 00:38:30 UTC
Thanks Dmitry. Is there an alternate way to resolve this with USE_PYTHOn=cython, or setup.py modified?

If 3.11 is in quarterly, please merge too
Comment 2 Dmitry Marakasov freebsd_committer 2021-11-26 11:39:26 UTC
I don't see the other way.

Cython files are generated from separate Makefile, which is intended to use by upstream developers only. It does not provide a way to regenerate *just* cython files (there's _find_header.c, which does need to be touched as it's regenerated with a script which is not bundled in the distfile), also the Makefile calls pip to install cython and does other nasty things.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-30 00:29:50 UTC
(In reply to Dmitry Marakasov from comment #2)

Understood, thank you.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-30 00:30:32 UTC
Comment on attachment 229704 [details]
Patch

Approved by: koobs (maintainer)
MFH: 2020Q4 (build bugfix)